from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XProgressHandler(XInterface, Protocol):
    def push(self, Status: Any) -> None: ...
    def update(self, Status: Any) -> None: ...
    def pop(self) -> None: ...
